/* ########## 3.9 Grid ########## */

.row-lg {
  margin-left: -20px;
  margin-right: -20px;
  > div {
    padding-left: 20px;
    padding-right: 20px;
  }
}

.row-md {
  margin-left: -15px;
  margin-right: -15px;
  > div {
    padding-left: 15px;
    padding-right: 15px;
  }
}

.row-sm {
  margin-left: -5px;
  margin-right: -5px;
  > div {
    padding-left: 5px;
    padding-right: 5px;
  }
}

.row-xs {
  margin-left: -1px;
  margin-right: -1px;
  > div {
    padding-left: 1px;
    padding-right: 1px;
  }
}

@mixin row-size($viewport) {

  $viewport: "-" + $viewport + "-";

  .row#{$viewport}lg {
    margin-left: -20px;
    margin-right: -20px;
    > div {
      padding-left: 20px;
      padding-right: 20px;
    }
  }

  .row#{$viewport}md {
    margin-left: -15px;
    margin-right: -15px;
    > div {
      padding-left: 15px;
      padding-right: 15px;
    }
  }

  .row#{$viewport}sm {
    margin-left: -5px;
    margin-right: -5px;
    > div {
      padding-left: 5px;
      padding-right: 5px;
    }
  }

  .row#{$viewport}xs {
    margin-left: -1px;
    margin-right: -1px;
    > div {
      padding-left: 1px;
      padding-right: 1px;
    }
  }
}

@media (min-width: 480px) { @include row-size("xs"); }
@include media-breakpoint-up(sm) { @include row-size("sm"); }
@include media-breakpoint-up(md) { @include row-size("md"); }
@include media-breakpoint-up(lg) { @include row-size("lg"); }
@include media-breakpoint-up(xl) { @include row-size("xl"); }
